Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OgreRefApp::ApplicationObject::CollisionInfo Struct Reference

Contains information about a collision; used in the _notifyCollided call. More...

`#include <OgreRefAppApplicationObject.h>`

List of all members.

## Public Attributes

Vector3 | position
| The position in world coordinates at which the collision occurred.
Vector3 | normal
| The normal in world coordinates of the collision surface.
Real | penetrationDepth
| Penetration depth.

## Detailed Description

Contains information about a collision; used in the _notifyCollided call.

Definition at line 263 of file OgreRefAppApplicationObject.h.

## Member Data Documentation

Vector3 OgreRefApp::ApplicationObject::CollisionInfo::normal

| The normal in world coordinates of the collision surface. Definition at line 268 of file OgreRefAppApplicationObject.h. Referenced by OgreRefApp::ApplicationObject::testCollide(), and OgreRefApp::ApplicationObject::testCollidePlaneBounds().

Real OgreRefApp::ApplicationObject::CollisionInfo::penetrationDepth

| Penetration depth. Definition at line 270 of file OgreRefAppApplicationObject.h. Referenced by OgreRefApp::ApplicationObject::testCollide(), and OgreRefApp::ApplicationObject::testCollidePlaneBounds().

Vector3 OgreRefApp::ApplicationObject::CollisionInfo::position

| The position in world coordinates at which the collision occurred. Definition at line 266 of file OgreRefAppApplicationObject.h. Referenced by OgreRefApp::ApplicationObject::testCollide(), and OgreRefApp::ApplicationObject::testCollidePlaneBounds().

The documentation for this struct was generated from the following file:

- OgreRefAppApplicationObject.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:55 2004